  {for this to work... you need to remove the solder...which jumpers the RX and DX to USB}

  _CLKMODE                  = xtal1 + pll16x
  _XINFREQ                  = 5_000_000
  RCV_PIN                   = 3                                 'Prop pin 3 connects to Rxd pin on gm862         
  XMT_PIN                   = 11                                 ' Connect pin 11 to Txd on on gm862
  CR                        = 13 
  KeyBd                     = 0                                  'keyboard
  KeyBclk                   = 1                                  'keyboard
  'You  also need a common ground... so prop ground connects to gm862 ground... that's it:)
  
OBJ

  sio   : "FullDuplexSerial"
  tv    : "tv_wtext"
  kb    : "keyboard"

VAR
  long chk,nlk,x,rxptr
  long stack[50]
  byte newline
  
PUB start
  newline:=0
  tv.start(12)
  kb.start(KeyBd, KeyBclk)
  waitcnt(cnt + clkfreq/2)
  sio.start(RCV_PIN,XMT_PIN,0, 2400)
  waitcnt(cnt + clkfreq/2)
  'attention
  sio.str(string("ATE0",cr ))         'turn echo off on gm862 side
  x:=cognew(getresponse,@stack)
  repeat while newline == 0
  newline:=0
  repeat while newline == 0
  tv.out(0)
  tv.str(string("ProPPhoneterminal",cr))
  tv.str(string("Network Status",cr))

  sio.str(@atcreg)               'one way to program an at command
  waitcnt(cnt+clkfreq*3)
  tv.out(0)
  tv.str(string("ProPPhoneterminal",cr))
  tv.str(string("GPS Data",cr))

  newline:=0
  sio.str(string("at$gpsacp?", cr))      'the other  way
  repeat while newline == 0
  newline:=0
  repeat while newline == 0
  waitcnt(cnt+clkfreq*3)
  tv.out(0)
  tv.str(string("ProPPhoneterminal",cr))
  tv.str(string("Ready",cr))
  tv.str(string(">"))
  repeat
    getinput

PUB getinput
   repeat
    chk:=kb.getkey
    sio.tx(chk)
    tv.out(chk)
    
    if chk == 13
       'tv.str(string(">"))
       return 
                        
PUB getresponse
      
      repeat
        nlk:=sio.rx
        tv.out(nlk)
        if nlk == 10                 'newline prompt
          tv.str(string(">"))          
          newline:=1


PUB attention

  waitcnt(cnt + clkfreq)
  sio.str(string("+++"))
  waitcnt(cnt + clkfreq)
  return

DAT

  atd                            byte  "ATD18158224933;", CR, 0
  atcreg                         byte  "AT+CREG?", CR, 0
  at_command3                    byte  "AT", CR, 0
  at_command4                    byte  "at$gpsacp?", CR, 0
  at_command5                    byte  "at#execscr", CR, 0
  at_command6                    byte  "at#lscript", CR, 0
  at_command7                    byte  "at#escript?", CR, 0

          ' Phone should return "OK"
  